<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<title>Service Web de métadonnées RBV</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="">
<meta name="author" content="">

<!-- Le styles -->
<link href="./css/bootstrap.css" rel="stylesheet">
<link href="./css/prettify.css" type="text/css" rel="stylesheet" />
<style type="text/css">
body {
	padding-top: 60px;
	padding-bottom: 40px;
}
</style>
<link href="./css/bootstrap-responsive.css" rel="stylesheet">

<!-- HTML5 shim, for IE6-8 support of HTML5 elements -->
<!--[if lt IE 9]>
      <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->

<!-- Fav and touch icons -->
<link rel="apple-touch-icon-precomposed" sizes="144x144"
	href="../ico/apple-touch-icon-144-precomposed.png">
<link rel="apple-touch-icon-precomposed" sizes="114x114"
	href="../ico/apple-touch-icon-114-precomposed.png">
<link rel="apple-touch-icon-precomposed" sizes="72x72"
	href="../ico/apple-touch-icon-72-precomposed.png">
<link rel="apple-touch-icon-precomposed"
	href="../ico/apple-touch-icon-57-precomposed.png">
<link rel="shortcut icon" href="../ico/favicon.png">
</head>

<body>

	<div class="navbar navbar-inverse navbar-fixed-top">
		<div class="navbar-inner">
			<div class="container">
				<a class="btn btn-navbar" data-toggle="collapse"
					data-target=".nav-collapse"> <span class="icon-bar"></span> <span
					class="icon-bar"></span> <span class="icon-bar"></span>
				</a> <a class="brand" href="./index.html">Portail RBV</a>
				
				<div class="nav-collapse collapse">
					<ul class="nav">
						<li class="active"><a href="wstest.html">Web service</a></li>
						<li><a href="./doc/metadataws.html">Documentation</a></li>
					</ul>
				</div>
				<!--/.nav-collapse -->
			</div>
		</div>
	</div>

	<div class="container">
		<div class="row">
			<div class="span9">
				<section>
					<div class="page-header">
						<h1>Utilisation autonome du convertisseur RBV vers ISO19139</h1>
					</div>
					<p>Le fichier suivant (<a href="./jar/metadataws-standalone-0.0.1.jar">jar</a>) permet d'utiliser le convertisseur RBV vers ISO19139 de manière autonome  
					<p>Il suffit de le télécharger et d'utiliser la syntaxe est la suivante : </p>
					<pre><b>java</b> -jar metadataws-standalone-0.0.1.jar <i>cheminFichierSource</i> <i>cheminFichierCible</i></pre>
					<i>Remarque:</i> la présence d'une JVM version 7 minimum est nécessaire.
					
					

				</section>
			</div>
		</div>

		<hr>

		<footer>
			<p>OMP / SEDOO</p>
		</footer>

	</div>
	<!-- /container -->

	<!-- Le javascript
    ================================================== -->
	<!-- Placed at the end of the document so the pages load faster -->
	<script src="http://code.jquery.com/jquery-latest.js"></script>
	<script src="./js/bootstrap.js"></script>
	
<script type="text/javascript" src="./js/prettify.js"></script>
	<script>
	
		function generateExample()
		{
			$("*").css('cursor','wait');
			$.get('rest/RBVTo19139/sampleRBV', function(data) {
				$('#src').text(data).html();
				$("*").css('cursor','default');
			});
		}
	
		function convertToTgt()
		{
			$("*").css('cursor','wait');
			var srcContent = $('#src').val().trim();
			if (srcContent.length>0)
			{
				$( "#tgt2" ).empty();
				$.post( 'rest/RBVTo19139/post/text', { src: srcContent },
					    function( data ) {
					
							$( "#tgt2" ).text(data).html();
							prettyPrint();
							$("*").css('cursor','default');
					    }
					  );
			}
			
		}
		
		function convertToFile()
		{
			var srcContent = $('#src').val().trim();
			if (srcContent.length>0)
			{
				$( "#rbvForm" ).submit();
				/*$( "#tgt2" ).empty();
				$.post( 'rest/RBVTo19139/post/download', { src: srcContent },
					    function( data ) {
					
							alert("done");
					    }
					  );*/
			}
			
		}
	
		function updateVersion() {
			$.get('rest/RBVTo19139/version', function(data) {
				$('#version').html(data);
			});
		}
		$(document).ready(function() {
			$("[rel='tooltip']").tooltip();
			
			$('body').ajaxStart(function() {
			 //   $(this).css({'cursor','wait'})
			}).ajaxStop(function() {
			    //$(this).css({'cursor':'default'})
			});
			
			updateVersion();																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																							
		});
		
		
	</script>

</body>
</html>
